%define anolis_release 2

Summary: The GNU line editor
Name: ed
Version: 1.19
Release: %{anolis_release}%{?dist}

License: GPLv2 and GFDL
URL:     https://www.gnu.org/software/ed/
Source0: https://download.savannah.gnu.org/releases/ed/%{name}-%{version}.tar.lz

BuildRequires: gcc make autoconf automake
BuildRequires: lzip

%description
GNU ed is a line-oriented text editor. It is used to create, display, modify and
otherwise manipulate text files, both interactively and via shell scripts. A
restricted version of ed, red, can only edit files in the current directory and
cannot execute shell commands. Ed is the 'standard' text editor in the sense that
it is the original editor for Unix, and thus widely available. For most purposes,
however, it is superseded by full-screen editors such as GNU Emacs or GNU Moe.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
./configure \
    CC="${CC-gcc}" \
    CPPFLAGS="${CPPFLAGS}" \
    CFLAGS="${CFLAGS}" \
    LDFLAGS="${LDFLAGS}" \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --datarootdir=%{_datadir} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --program-prefix=%{?_program_prefix}

%make_build

%install
%make_install

%generate_compatibility_deps

%check
%make_build check

%files
%dir %{abidir}
%license doc/fdl.texi COPYING
%{_bindir}/ed
%{_bindir}/red
%{_infodir}/ed.info*
%{_mandir}/man1/ed.1*
%{_mandir}/man1/red.1*
%{abidir}/ed-option.list
%{abidir}/red-option.list

%files doc
%doc NEWS README AUTHORS ChangeLog

%changelog
* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.19-2
- optimize spec

* Wed Jan 18 2023 Funda Wang <fundawang@yeah.net> - 1.19-1
- New version 1.19

* Mon Jan 09 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.18-2
- add doc package and update spec

* Mon May 16 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.18-1
- Init from upstream version 1.18
